# std::unordered_multiset<Key,Hash,KeyEqual,Allocator>::emplace

From cppreference.com
< cpp‎ | container‎ | unordered multiset

template< class... Args > iterator emplace( Args&&... args ); |  | (since C++11)

Inserts a new element into the container constructed in-place with the given `args` .

Careful use of `emplace` allows the new element to be constructed while avoiding unnecessary copy or move operations. The constructor of the new element is called with exactly the same arguments as supplied to `emplace`, forwarded via std::forward <Args>(args)....

If rehashing occurs due to the insertion, all iterators are invalidated. Otherwise iterators are not affected. References are not invalidated. Rehashing occurs only if the new number of elements is greater than max_load_factor()*bucket_count().

### Parameters

args | - | arguments to forward to the constructor of the element

### Return value

Returns an iterator to the inserted element.

### Exceptions

If an exception is thrown by any operation, this function has no effect.

### Complexity

Amortized constant on average, worst case linear in the size of the container.

### Example

| This section is incomplete Reason: no example

### See also

emplace_hint | constructs elements in-place using a hint (public member function)
insert | inserts elements or nodes (since C++17) (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_multiset/emplace&oldid=50747"